### Signal

# GtkSource GutterRenderer::activate

#### Declaration

    void
    activate (
      GtkSourceGutterRenderer* self,
      const GtkTextIter* iter,
      GdkRectangle* area,
      guint button,
      GdkModifierType state,
      gint n_presses,
      gpointer user_data
    )

#### Description [src]

The signal is emitted when the renderer is activated.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the function.

`area`

  Type: `GdkRectangle`

  A `GdkRectangle`.

  The data is owned by the caller of the function.

`button`

  Type: `guint`

  The button that was pressed.

`state`

  Type: `GdkModifierType`

  A `GdkModifierType` of state.

`n_presses`

  Type: `gint`

  The number of button presses.